"""This module contain functions used to load the chipmunk dll/lib file"""
__version__ = "$Id: libload.py 239 2010-01-07 00:55:03Z vb@viblo.se $"

import os.path
import platform
import sys, imp, os
import ctypes
 
def platform_specific_functions():
    # use stddecl on windows, cdecl on all other platforms
    
    d = {'library_loader' : ctypes.cdll
        ,'function_pointer' : ctypes.CFUNCTYPE
        }
    
    if platform.system() in ('Windows', 'Microsoft'):
        d['library_loader'] = ctypes.windll
        d['function_pointer'] = ctypes.WINFUNCTYPE
        
    return d
    
 
def load_library(libname, print_path=True):
    # Library is always in this location on Fedora
    libfn = "/usr/lib/libchipmunk.so.5.1"
    lib = platform_specific_functions()['library_loader'].LoadLibrary(libfn)
    return lib
